%global src_name squirrel
%global src_ver 3_0_6

Name:           squirrel3
Version:        3.0.6
Release:        1%{?dist}
Summary:        High level imperative/OO programming language

Group:          Development/Tools
License:        MIT
URL:            http://squirrel-lang.org/
Source0:        http://downloads.sourceforge.net/%{src_name}/%{src_name}_%{src_ver}_stable.tar.gz
Patch0:         %{name}-autotools.patch

BuildRequires:  libtool

%description
Squirrel is a high level imperative/OO programming language, designed
to be a powerful scripting tool that fits in the size, memory bandwidth,
and real-time requirements of applications like games.

%package libs
Summary:        Libraries needed to run Squirrel scripts
Group:          System Environment/Libraries

%description libs
Libraries needed to run Squirrel scripts.

%package devel
Summary:        Development files needed to use Squirrel libraries
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}

%description devel
Development files needed to use Squirrel libraries.


%prep
%setup -q -c

# fix file permissions
find . -type f -exec chmod a-x {} \;

pushd SQUIRREL3
%patch0 -p1 -b .autotools

# fix extension for autotools
mv sq/sq.c sq/sq.cpp

# fix EOL + preserve timestamps
for f in README HISTORY COPYRIGHT
do
    sed -i.orig 's/\r//g' $f
    touch -r $f.orig $f
done

sh autogen.sh
popd


%build
pushd SQUIRREL3
%configure --disable-static
make %{?_smp_mflags}
popd


%install
pushd SQUIRREL3
make DESTDIR=$RPM_BUILD_ROOT INSTALL="/usr/bin/install -p" install
popd

rm $RPM_BUILD_ROOT%{_libdir}/*.la


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%doc SQUIRREL3/{README,HISTORY,COPYRIGHT}
%{_bindir}/sq

%files libs
%doc SQUIRREL3/COPYRIGHT
%{_libdir}/libsqstdlib3-%{version}.so
%{_libdir}/libsquirrel3-%{version}.so

%files devel
%doc SQUIRREL3/doc/*.pdf
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libsqstdlib3.so
%{_libdir}/libsquirrel3.so


%changelog
* Tue Aug 14 2012 Dan Horák <dan[at]danny.cz> 3.0.3-1
- updated to 3.0.3

* Fri Jan 13 2012 Dan Horák <dan[at]danny.cz> 3.0.2-2
- fix includedir on pkgconfig file

* Fri Jan 13 2012 Dan Horák <dan[at]danny.cz> 3.0.2-1
- initial version 3.0.2 based on squirrel 2.x
